#!/bin/bash
#SBATCH --time=00:30:00
#SBATCH --qos=debug
#SBATCH -N 1
#SBATCH -n 4
#SBATCH --ntasks-per-node=4
#SBATCH -c 32
#SBATCH --gpus-per-task=1
#SBATCH --gpu-bind=none
#SBATCH -C gpu
#SBATCH -A m4025
#SBATCH -A ntrain7_g
#SBATCH --reservation=beast_tutorial_day2


module use /global/cfs/cdirs/m4025/Software/Perlmutter/modules
module load beast-tutorial
export OMP_NUM_THREADS=16

direcs=( 6.0 6.5 7.0 7.5 8.0 8.5 )
for d in "${direcs[@]}"; do
  echo Entering $d directory
  cd $d
  echo "  Running BGW epsilon job"
  srun -n 4 -c 16 epsilon.cplx.x &> ./out
  echo "  Done!"
  echo ""
  cd ../
done

